#ifndef LIBREWORK_GRP_H
#define LIBREWORK_GRP_H

#include <nss.h>
#include <grp.h>

#include <stdio.h>
#include <stdlib.h>
#include <string.h>

#include <QMutex>

#include "libreworkfile.h"
#include "logger.h"

extern "C" enum nss_status _nss_librework_setgrent(int stayopen);
extern "C" enum nss_status _nss_librework_getgrent_r(struct group *result, char *buffer, size_t buflen, int *errnop);
extern "C" enum nss_status _nss_librework_endgrent(void);
extern "C" enum nss_status _nss_librework_getgrnam_r(const char *name, struct group *g, char *buffer, size_t buflen, int * errnop);
extern "C" enum nss_status _nss_librework_getgrgid_r(gid_t gid, struct group *g, char *buffer, size_t buflen, int * errnop);

enum nss_status _setgrent(int stayopen);
enum nss_status _getgrent_r(struct group *result, char *buffer, size_t buflen, int *errnop);
enum nss_status _endgrent(void);
enum nss_status _getgrnam_r(const char *name, struct group *g, char *buffer, size_t buflen, int * errnop);
enum nss_status _getgrgid_r(gid_t gid, struct group *g, char *buffer, size_t buflen, int * errnop);
#endif
