#ifndef LIBREWORK_PWD_H
#define LIBREWORK_PWD_H

#include <nss.h>
#include <pwd.h>

#include <stdio.h>
#include <stdlib.h>
#include <string.h>

#include <QMutex>

#include "libreworkfile.h"
#include "logger.h"

extern "C" enum nss_status _nss_librework_getpwnam_r(const char *name, struct passwd *p, char *buffer, size_t buflen, int *errnop);
extern "C" enum nss_status _nss_librework_getpwuid_r(uid_t uid, struct passwd *p, char *buffer, size_t buflen, int *errnop);
extern "C" enum nss_status _nss_librework_getpwent_r(struct passwd *p, char *buffer, size_t buflen, int *errnop);
extern "C" enum nss_status _nss_librework_setpwent(int stayopen);
extern "C" enum nss_status _nss_librework_endpwent(void);

enum nss_status _getpwnam_r(const char *name, struct passwd *p, char *buffer, size_t buflen, int *errnop);
enum nss_status _getpwuid_r(uid_t uid, struct passwd *p, char *buffer, size_t buflen, int *errnop);
enum nss_status _getpwent_r(struct passwd *p, char *buffer, size_t buflen, int *errnop);
enum nss_status _setpwent(int stayopen);
enum nss_status _endpwent(void);

#endif
