#ifndef LIBREWORK_SHADOW_H
#define LIBREWORK_SHADOW_H

#include <nss.h>
#include <shadow.h>

#include <stdio.h>
#include <stdlib.h>
#include <string.h>

#include <QMutex>

#include "libreworkfile.h"
#include "logger.h"

extern "C" enum nss_status _nss_librework_getspnam_r(const char *name, struct spwd *p, char *buffer, size_t buflen, int *errnop);
extern "C" enum nss_status _nss_librework_getspent_r(struct spwd *p, char *buffer, size_t buflen, int *errnop);
extern "C" enum nss_status _nss_librework_setspent(int stayopen);
extern "C" enum nss_status _nss_librework_endspent(void);

enum nss_status _getspnam_r(const char *name, struct spwd *p, char *buffer, size_t buflen, int *errnop);
enum nss_status _getspent_r(struct spwd *p, char *buffer, size_t buflen, int *errnop);
enum nss_status _setspent(int stayopen);
enum nss_status _endspent(void);

#endif
